HPE OneView

Oneview 4 vCenter and Storage Integration Pack - Very disappointing :((( - very sad face

 
T_1_6
Regular Advisor

Oneview 4 vCenter and Storage Integration Pack - Very disappointing :((( - very sad face

We currently run 6.7U3 vSphere, and will update to 7 soon. As a test I decided to try and update some of the appliances we use which integrate with vCenter, and was left very, very disappointed by the quality of this software now.

1) Storage Integration pack v10.1 only works with Oneview main v5.2 or earlier.

2) Oneview For vCenter appliance v10.1 only works with Oneview v5.4 or earlier.

3) The Ova for OV4VC 10.1 isnt even the latest and you have to do an update straght away to the latest .star, and the update "task" stays with a status of running in the activty list indefinitely.

4) All the nice features of the storage pack are removed from the monitor tab in vCenter, making the plug-in pretty pointless if you have to go into it via the plug-in icon every time in vCenter, (the old style integrated into the tabs and menus was far better.)

5) Storage Integration pack v10.1 wont even connect to OneView 5.5

6) It seems only Oneview v5.5 Supports the vCLM (Life Cycle Manager of vSphere 7), meaning that you cannot use any of the appliances mentioned above.

7) After installing SIP4VC, OV4VC 10.1, and updating our Oneview to v5.4, a random DB error kept appearing in the vCenter web interface "DataTables warning: table id=users - Requested unknown parameter '0' for row 0, column 0. For more information about this error...."

All in all this integration seems more hassle than its worth now, and it just is not reliable enough to be classed as enterprise grade software. Even to get our current v9.6 OV4VC to work, it HAD to be v9.5.1 working with Oneview and vCenter to be a hardware provider for Proactive HA, THEN upgraded to 9.6, otherwise it just never worked. I spent a long time digging in the logs/dumps, and it was getting a blank list of server resource IDs from Oneview. Who has the energy/time to have to do this insane level of troubleshooting just to get some sloppy integrations to work?

Im left feeling so disappointed with the current track of releases of OV4VC and SIPV4VC, and currently we are stuck unable to upgrade to vSphere 7 and use the Oneview VLCM and have a hardware manager for Proactive HA, alongside nice Storage integration like v9.6. 

Sorry to rant, but its just exhausting for customers to have to have this level of troubleshooting and product knowledge to get these integrations to work RELIABLY. I cannot in good faith run an infrastructure with vCenter DB errors in the GUI from upgrading our HPE Integrations, its insane.

 

6 REPLIES 6
Doug de Werd
HPE Pro

Re: Oneview 4 vCenter and Storage Integration Pack - Very disappointing :((( - very sad face

Hopefully this will clear up a few things for the OV4VC side. I'll try to get a storage person to comment on the SIP4VC comments.

Starting with OV4VC 10.0, and SIP4VC 10.0, the server and storage modules are separate plugins.  They were combined with 9.x and earlier.

SIP4VC 10.x does not require, nor use, OneView - that's why there's no method to connect to it.  OV4VC 10.x does require a connecion to OneView, as it has in the past.

OV4VC 10.1 is support with OneView 5.0 and newer (see the Release Notes, Table 1 Compatibility Matrix, page 4 HPE OneView for VMware vCenter 10.1 Release Notes)

vLCM is supported with OV4VC 10.1 and OneView 5.3 or newer.

Thanks,
Doug

I am an HPE employee
Accept or Kudo
T_1_6
Regular Advisor

Re: Oneview 4 vCenter and Storage Integration Pack - Very disappointing :((( - very sad face

Hi Doug,
I see this in the official docs for OV4VC 10.1:-

HPE OneView version 5.0, 5.2, 5.3,   VMware vCenter version 5.4 6.5, 6.7, and 7.0

Originally I ran with 5.5, OV4VC had zero interest in connecting to OV 5.5 As soon as I reversed a load of stuff and went back to OV5.4 it connected fine though the admin console in vCenter.

SIP4VC 10.1 says it only supports OV 5.2! here:-

HPE Storage Integration Pack for VMware vCenter Release 10.1

HPE OneView version support 5.0 and 5.2,   VMware vCenter vCenter version: 6.5, 6.7, and 7.0 

But let me think, we do not have a load of storage being managed via Oneview, so I suppose we do not need to connect SIP4VC, but there absolutely IS a method to connect to it just like OV4VC in the vCenter Plug-in console, which is what makes it more confusing also. The same interface as OV4VC to import root cert, creds for OV, etc etc....

Pleasingly I DID see that the proactive HA was working inside vCenter which is cool, but the 9.6 OV Storage plug-in seems so much better than the 10.1, unless something is broken for me, but I think the documentation made no mention of these tabbed integrations like 9.6, just everything through the plug-in in the vCenter root menu. This is pretty lame as its just more clicking, I might as well just go into SSMC for all the time it takes! Staying in the monitor tab in VC and being able to see all your server compliance/power/network/firmware/status etc, and then a single click down and you are in the storage views able to track datastore performance there and then, was seriously beneficial and slick.

I understand though from a development POV only having to worry about interfaces in one section of your own plug-in is easier to manage. 

 

 

 

Doug de Werd
HPE Pro

Re: Oneview 4 vCenter and Storage Integration Pack - Very disappointing :((( - very sad face

Thanks for the comments, we'll try to get those cleaned up. I work on the OV4VC server side plugin, and I have forwarded this on to my SIP4VC counterpart.

As for the support matrix, we have had some challenges due to the faster release cadence of HPE OneView. As such, we have decided that we will use the Release Notes as the definitive pointer for the support matrix.  In the User Guide (which also has a matrix), we have added the following note at the bottom of the matrix.

For the most current information on compatibility of HPE OneView, HPE OneView for VMware vCenter, and VMwarevCenter,  see HPE OneView for VMware vCenter 10.1 Release Notes available at Hewlett Packard Enterprise Information Library.

And here's a couple of quick links for the OV4VC side

Main product page - https://www.hpe.com/products/ovvcenter

Docs - https://www.hpe.com/info/ovvcenter/docs

Download - https://www.hpe.com/downloads/ovpartners

And SIP4VC is at https://myenterpriselicense.hpe.com/cwp-ui/free-software/HPESIPVC

Thanks,

Doug

I am an HPE employee
Accept or Kudo
MCSAP
Frequent Advisor

Re: Oneview 4 vCenter and Storage Integration Pack - Very disappointing :((( - very sad fa

@T_1_6 

Did you ever figure out what was causing the "DataTables Warning..." message you were getting in vCenter?  I'm seeing that with my setup today.

thanks!

MC

T_1_6
Regular Advisor

Re: Oneview 4 vCenter and Storage Integration Pack - Very disappointing :((( - very sad fa

Yes and no....!

What I run now is the following:-

Oneview 6.4 latest, OC4VC 10..4, SIP4VC 11.0, vCenter 7.02ud, esxi 7.02ud.

(along with a load of 3par stuff but thts not relevant to this)

Now with all that above hooked into a vCenter ELM config, its all working great! Only troubles I had was the ILO2.55 issue and using vLCM.

But HPE even fixed the bug with SIP4VC and having multiple arrays data showing in Enhanced link mode vCenters.

So I can fully recommend the above option, before this combination, we had lots of problems and small issues.... so I guess in answer to your question the problem went away when we upgraded EVERYTHING to the latest versions.

 

T_1_6
Regular Advisor

Re: Oneview 4 vCenter and Storage Integration Pack - Very disappointing :((( - very sad fa

PS, 7.02ud has been stable as a rock.... and has given us vTPM for our VMs which was a requirement for us.

Avoid any vmware product later than this, it is a mess, and they pulled a load of updates.